=== debian/changelog ===
tlp (1.3.1-2) unstable; urgency=medium

  * [ac00297] debian/control: fix typo (Closes: #951364)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 18 Feb 2020 13:09:27 +0100

tlp (1.3.1-1) unstable; urgency=medium

  * [de3f913] New upstream version 1.3.1 (bugfix release)
    (Closes: #950702) (LP: #1861966)

    Bugfixes:
      - Issue #460: default CPU_ENERGY_PERF_POLICY_ON_BAT=power too aggressive

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 07 Feb 2020 08:43:42 +0100

tlp (1.3.0-1) unstable; urgency=medium

  * [8601123] New upstream version 1.3.0

    New Features:

      - New configuration scheme
        + /etc/default/tlp is replaced by /etc/tlp.conf
        + Settings are read in the following order:
          - Intrinsic defaults
          - /etc/tlp.d/*.conf - Drop-in customization snippets
          - /etc/tlp.conf - User configuration
          In case of identical parameters, the last occurrence has precedence
        + Parse config files instead of sourcing --> no more shell expansion

      - Battery Features, tlp-stat -b
        + Charge thresholds: better checks for command line and configuration;
          clearer error messages
        + tlp discharge: error message "check your hardware" when battery
          wasn't completely discharged (Issue #438)
        + Distinguish between "no kernel support" for natacpi (< 4.17) and
          "laptop not supported" (>= 4.17)
        + Supplement battery status "Unknown" with "threshold may prevent
          charging" when thresholds are available only

      - General
        + systemd: replace tlp-sleep.service with /lib/systemd/system-sleep/tlp

      - Operation Mode AC/BAT
        + TLP_PS_IGNORE: power supply class to ignore when determining operation
          mode; workaround for laptops reporting incorrect AC or battery status
          (Issue #446)

      - PCI(e) devices
        + PCIE_ASPM_ON_AC/BAT: add method 'powersupersave' (Issue #425)

      - Processor
        + CPU_ENERGY_PERF_POLICY_ON_AC/BAT: backward compatible merge of
          settings for Intel energy vs. performance policies EPB
          (ENERGY_PERF_POLICY_ON_AC/BAT) and HWP.EPP (CPU_HWP_ON_AC/BAT); when
          HWP.EPP is available, EPB is not set; validate parameters; eliminate
          external tool x86_energy_perf_policy for kernel >= 5.2

      - tlp-stat
        + Configuration: show file where the parameter comes from System Info:
          - Show SELinux status
          - Show RDW as 'disabled' when TLP is disabled as a whole
          - Indicate persistent mode
        + Intel CPU: don't show EPB values when HWP.EPP is active (see above)
        + PCIe ASPM: show available policies
        + Undervolting: remove "PHC kernel not available" message

    Bugfixes:

      - Battery Features
        + Issue #415: ThinkPad X240 discharge BAT1 malfunction when BAT0 is not
          installed

      - Disks
        + Fix NVMe detection on Linux 4.15

      - tlp-stat
        + Issue #430: ignore HID device batteries

  * [66ef9d4] Merge changes from upstream Debian packaging
  * [7071a4e] debian/copyright: update copyrights years
  * [fcab431] Silence lintian about tlp.service manpage without executable
  * [7222802] Bump Standards-Version to 4.5.0
  * [85708e0] Add debian/NEWS entry to explain new configuration scheme

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 03 Feb 2020 13:04:49 +0100
