=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Debian and Ubuntu provide x86_energy_perf_policy in different packages
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARS = -Vdist:Suggests="linux-tools-generic | linux-tools"
else
	SUBSTVARS = -Vdist:Suggests="linux-cpupower"
endif

%:
	dh $@ --with systemd

override_dh_systemd_enable:
	dh_systemd_enable --package=tlp tlp.service

override_dh_installinit:
	dh_installinit --package=tlp --no-start --only-scripts -- defaults 98 01

override_dh_systemd_start:
	dh_systemd_start --package=tlp --no-start

override_dh_gencontrol:
	dh_gencontrol --package=tlp -- $(SUBSTVARS)
	dh_gencontrol --remaining-packages

override_dh_installdocs:
	dh_installdocs --link-doc tlp
