## tlp 1.4.0

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,12 @@
 TLP_TLIB    ?= /usr/share/tlp
 TLP_FLIB    ?= /usr/share/tlp/func.d
 TLP_ULIB    ?= /lib/udev
+TLP_BATD    ?= /usr/share/tlp/bat.d
 TLP_NMDSP   ?= /etc/NetworkManager/dispatcher.d
 TLP_CONFUSR ?= /etc/tlp.conf
 TLP_CONFDIR ?= /etc/tlp.d
 TLP_CONFDEF ?= /usr/share/tlp/defaults.conf
+TLP_CONFREN ?= /usr/share/tlp/rename.conf
 TLP_CONF    ?= /etc/default/tlp
 TLP_SYSD    ?= /lib/systemd/system
 TLP_SDSL    ?= /lib/systemd/system-sleep
@@ -29,10 +31,12 @@
 _TLIB    = $(DESTDIR)$(TLP_TLIB)
 _FLIB    = $(DESTDIR)$(TLP_FLIB)
 _ULIB    = $(DESTDIR)$(TLP_ULIB)
+_BATD    = $(DESTDIR)$(TLP_BATD)
 _NMDSP   = $(DESTDIR)$(TLP_NMDSP)
 _CONFUSR = $(DESTDIR)$(TLP_CONFUSR)
 _CONFDIR = $(DESTDIR)$(TLP_CONFDIR)
 _CONFDEF = $(DESTDIR)$(TLP_CONFDEF)
+_CONFREN = $(DESTDIR)$(TLP_CONFREN)
 _CONF    = $(DESTDIR)$(TLP_CONF)
 _SYSD    = $(DESTDIR)$(TLP_SYSD)
 _SDSL    = $(DESTDIR)$(TLP_SDSL)
@@ -51,9 +55,11 @@
 	-e "s|@TLP_TLIB@|$(TLP_TLIB)|g" \
 	-e "s|@TLP_FLIB@|$(TLP_FLIB)|g" \
 	-e "s|@TLP_ULIB@|$(TLP_ULIB)|g" \
+	-e "s|@TLP_BATD@|$(TLP_BATD)|g" \
 	-e "s|@TLP_CONFUSR@|$(TLP_CONFUSR)|g" \
 	-e "s|@TLP_CONFDIR@|$(TLP_CONFDIR)|g" \
 	-e "s|@TLP_CONFDEF@|$(TLP_CONFDEF)|g" \
+	-e "s|@TLP_CONFREN@|$(TLP_CONFREN)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
 	-e "s|@TLP_RUN@|$(TLP_RUN)|g"   \
 	-e "s|@TLP_VAR@|$(TLP_VAR)|g"   \
@@ -94,6 +100,7 @@
 	tlp.in \
 	tlp-func-base.in \
 	func.d/* \
+	bat.d/*[a-z] \
 	tlp-rdw.in \
 	tlp-rdw-nm.in \
 	tlp-rdw-udev.in \
@@ -109,6 +116,8 @@
 	tlp-readconfs.in \
 	tlp-usblist
 
+BATDRVFILES = $(foreach drv,$(wildcard bat.d/[0-9][0-9]-*[a-z]),$(drv)~)
+
 # Make targets
 all: $(INFILES)
 
@@ -117,6 +126,7 @@
 
 clean:
 	rm -f $(INFILES)
+	rm -f bat.d/*~
 
 install-tlp: all
 	# Package tlp
@@ -127,8 +137,9 @@
 	install -m 755 tlp-run-on $(_BIN)/run-on-ac
 	ln -sf run-on-ac $(_BIN)/run-on-bat
 	install -m 755 tlp-stat $(_BIN)/
-	install -D -m 755 --target-directory $(_TLIB)/func.d func.d/*
+	install -D -m 755 -t $(_TLIB)/func.d func.d/*
 	install -m 755 tlp-func-base $(_TLIB)/
+	install -D -m 755 -t $(_TLIB)/bat.d bat.d/*
 	install -m 755 tlp-pcilist $(_TLIB)/
 	install -m 755 tlp-readconfs $(_TLIB)/
 	install -m 755 tlp-usblist $(_TLIB)/
@@ -142,6 +153,7 @@
 	install -D -m 644 README.d $(_CONFDIR)/README
 	install -D -m 644 00-template.conf $(_CONFDIR)/00-template.conf
 	install -D -m 644 defaults.conf $(_CONFDEF)
+	install -D -m 644 rename.conf $(_CONFREN)
 ifneq ($(TLP_NO_INIT),1)
 	install -D -m 755 tlp.init $(_SYSV)/tlp
 endif
@@ -235,24 +247,35 @@
 
 uninstall-man: uninstall-man-tlp uninstall-man-rdw
 
-checkall: checkbashisms shellcheck perlcritic checkdupconst checkwip
+checkall: checkbashisms shellcheck perlcritic checkdupconst checkbatdrv checkwip
 
 checkbashisms:
-	@echo "+++ checkbashisms +++"
+	@echo "*** checkbashisms ***************************************************************************"
 	@checkbashisms $(SHFILES) || true
 
 shellcheck:
-	@echo "+++ shellcheck +++"
+	@echo "*** shellcheck ******************************************************************************"
 	@shellcheck -s dash $(SHFILES) || true
 
 perlcritic:
-	@echo "+++ perlcritic +++"
+	@echo "*** perlcritic ******************************************************************************"
 	@perlcritic --severity 4 --verbose "%F: [%p] %m at line %l, column %c.  (Severity: %s)\n" $(PLFILES) || true
 
 checkdupconst:
-	@echo "+++ checkdupconst +++"
+	@echo "*** checkdupconst ***************************************************************************"
 	@{ sed -n -r -e 's,^.*readonly\s+([A-Za-z_][A-Za-z_0-9]*)=.*$$,\1,p' $(SHFILES) | sort | uniq -d; } || true
 
 checkwip:
-	@echo "+++ checkwip +++"
-	@grep -E -n "### (DEBUG|DEVEL|TODO)" $(SHFILES) $(PLFILES) || true
+	@echo "*** checkwip ********************************************************************************"
+	@grep -E -n "### (DEBUG|DEVEL|TODO|WIP)" $(SHFILES) $(PLFILES) || true
+
+bat.d/TEMPLATE~: bat.d/TEMPLATE
+	@awk '/^batdrv_[a-z_]+ ()/ { print $$1; }' $< | grep -v 'batdrv_is' | sort > $@
+
+bat.d/%~: bat.d/%
+	@printf "*** checkbatdrv %-25s ***********************************************\n" "$<"
+	@awk '/^batdrv_[a-z_]+ ()/ { print $$1; }' $< | grep -v 'batdrv_is' | sort > $@
+	@diff -U 1 -s bat.d/TEMPLATE~  $@ || true
+
+checkbatdrv: bat.d/TEMPLATE~ $(BATDRVFILES)
+	rm -f bat.d/*~
