=== debian/changelog ===
tlp (1.4.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 03 Nov 2021 15:32:39 -0700

tlp (1.4.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 27 Sep 2021 18:34:43 +0200

tlp (1.4.0-1) unstable; urgency=medium

  * [f3a319c] New upstream version 1.4.0 (LP: #1923737)

  [ Thomas Koch ]
  * [bc613b8] Remove dependency on lsb-base
  * [babd6e5] Update package description
  * [559264f] Bump debhelper compatibility level to 12
  * [3e89fce] Mask/unmask power-profiles-daemon.service (LP: #1934944)

  [ Raphaël Halimi ]
  * [0d4086f] Remove '-guest' from Vcs-* URLs
  * [ec2fce9] debian/watch: update to version 4
  * [2686afe] Drop unused lintian overrides:
      - testsuite-autopkgtest-missing
      - manpage-without-executable
  * [7448f28] Bump Standards-Version to 4.6.0
  * [866222a] debian/copyright: update copyright years

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 27 Sep 2021 18:05:42 +0200
