=== debian/control ===
Source: tlp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/moonsweep/tlp
Vcs-Git: https://salsa.debian.org/moonsweep/tlp.git
Homepage: https://linrunner.de/tlp

Package: tlp
Architecture: all
Depends: hdparm,
         iw | wireless-tools,
         pciutils,
         rfkill,
         usbutils,
         ${misc:Depends},
         ethtool, tlp-rdw
Suggests: acpi-call-dkms, smartmontools, tp-smapi-dkms, ${dist:Suggests}
Conflicts: laptop-mode-tools
Description: Optimize laptop battery life
 TLP is a feature-rich command-line utility, saving laptop battery power
 without the need to delve deeper into technical details.
 .
 TLP’s default settings are already optimized for battery life and implement
 Powertop’s recommendations out of the box. Moreover TLP is highly
 customizable to fulfil specific user requirements.
 .
 Settings are organized into two profiles, allowing to adjust between
 savings and performance independently for battery (BAT) and AC operation.
 In addition TLP can enable or disable Bluetooth, Wi-Fi and WWAN radio
 devices on boot.
 .
 For ThinkPads and selected other laptops it provides a unified way
 to configure charge thresholds and recalibrate the battery.

Package: tlp-rdw
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: network-manager, tlp, ${misc:Depends}
Description: Radio device wizard
 Radio device wizard is an add-on to TLP. It provides event based
 switching of bluetooth, Wi-Fi and WWAN radio devices on:
  - network connect/disconnect
  - dock/undock
