=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,13 @@
 endif
 
 %:
-	dh $@ --with systemd
+	dh $@
 
-override_dh_systemd_enable:
-	dh_systemd_enable --package=tlp tlp.service
+override_dh_installsystemd:
+	dh_installsystemd --package=tlp --no-start --no-restart-after-upgrade tlp.service
 
 override_dh_installinit:
-	dh_installinit --package=tlp --no-start --only-scripts -- defaults 98 01
-
-override_dh_systemd_start:
-	dh_systemd_start --package=tlp --no-start
+	dh_installinit --package=tlp --no-start --no-restart-after-upgrade --only-scripts -- defaults 98 01
 
 override_dh_gencontrol:
 	dh_gencontrol --package=tlp -- $(SUBSTVARS)
