=== debian/changelog ===
tlp (1.5.0-1ubuntu3) jammy; urgency=medium

  * debian/patches/remove_gnome_conflict.patch:
    - remove another case where tlp is bailing out when power-profile-daemon
      is installed (lp: #1964346)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Mar 2022 09:56:01 +0100

tlp (1.5.0-1ubuntu2) jammy; urgency=medium

  * debian/control: remove the conflicts on power-profiles-daemon

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Mar 2022 09:28:23 +0100

tlp (1.5.0-1ubuntu1) jammy; urgency=medium

  * debian/control, debian/patches/remove_gnome_conflict.patch:
    CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
    handled by power-profiles-daemon, so in tlp it will ignore these
    configuration when detect power-profiles-daemon is active.
    And in tlp.conf, I added some warnings to reminder users when
    there are power-profiles-deamon.

 -- Bin Li <bin.li@canonical.com>  Sat, 05 Mar 2022 10:31:27 +0100

tlp (1.5.0-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:35:34 +0000

tlp (1.5.0-1) unstable; urgency=medium

  * [31238c8] New upstream version 1.5.0

  [ Thomas Koch ]
  * [829f496] Remove dependency on wireless-tools
  * [ad74045] Add nfc command
  * [f25a3d9] Add Conflicts: power-profiles-daemon
  * [78494ab] maintscripts: refactor (un)masking of conflicting services
  * [5ff87af] Implement UsrMerge
      - Install systemd and udev files in /usr/lib
      - Add backwards compatibility symlink for systemd resume hook
      - Bump debhelper compatibility level to 13
  * [5c85b99] debian/rules: remove useless leftover argument to dh override
  * [b7ac1b5] debian/control: remove Pre-Depends: dpkg (>= 1.17.14)
  * [e8da258] debian/copyright: update copyright years

  [ Raphaël Halimi ]
  * [d64f5f2] Silence lintian false positive about bashism

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 03 Feb 2022 15:59:54 +0100
