=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+# UsrMerge: install systemd/udev files below /usr/lib/
+export TLP_ELOD=/usr/lib/elogind/system-sleep
+export TLP_SDSL=/usr/lib/systemd/system-sleep
+export TLP_SYSD=/usr/lib/systemd/system
+export TLP_ULIB=/usr/lib/udev
 
 # Debian and Ubuntu provide x86_energy_perf_policy in different packages
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
@@ -14,7 +20,7 @@
 	dh $@
 
 override_dh_installsystemd:
-	dh_installsystemd --package=tlp --no-start --no-restart-after-upgrade tlp.service
+	dh_installsystemd --package=tlp --no-start --no-restart-after-upgrade
 
 override_dh_installinit:
 	dh_installinit --package=tlp --no-start --no-restart-after-upgrade --only-scripts -- defaults 98 01
