## tlp 1.6.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # Makefile for TLP
+# Copyright (c) 2023 Thomas Koch <linrunner at gmx.net> and others.
+# SPDX-License-Identifier: GPL-2.0-or-later
 TLPVER := $(shell read _ver _dummy < ./VERSION; printf '%s' "$${_ver:-undef}")
 
 # Evaluate parameters
@@ -8,17 +10,19 @@
 TLP_FLIB    ?= /usr/share/tlp/func.d
 TLP_ULIB    ?= /lib/udev
 TLP_BATD    ?= /usr/share/tlp/bat.d
-TLP_NMDSP   ?= /etc/NetworkManager/dispatcher.d
+TLP_NMDSP   ?= /usr/lib/NetworkManager/dispatcher.d
 TLP_CONFUSR ?= /etc/tlp.conf
 TLP_CONFDIR ?= /etc/tlp.d
 TLP_CONFDEF ?= /usr/share/tlp/defaults.conf
 TLP_CONFREN ?= /usr/share/tlp/rename.conf
+TLP_CONFDPR ?= /usr/share/tlp/deprecated.conf
 TLP_CONF    ?= /etc/default/tlp
 TLP_SYSD    ?= /lib/systemd/system
 TLP_SDSL    ?= /lib/systemd/system-sleep
 TLP_SYSV    ?= /etc/init.d
 TLP_ELOD    ?= /lib/elogind/system-sleep
 TLP_SHCPL   ?= /usr/share/bash-completion/completions
+TLP_ZSHCPL  ?= /usr/share/zsh/site-functions
 TLP_MAN     ?= /usr/share/man
 TLP_META    ?= /usr/share/metainfo
 TLP_RUN     ?= /run/tlp
@@ -37,12 +41,14 @@
 _CONFDIR = $(DESTDIR)$(TLP_CONFDIR)
 _CONFDEF = $(DESTDIR)$(TLP_CONFDEF)
 _CONFREN = $(DESTDIR)$(TLP_CONFREN)
+_CONFDPR = $(DESTDIR)$(TLP_CONFDPR)
 _CONF    = $(DESTDIR)$(TLP_CONF)
 _SYSD    = $(DESTDIR)$(TLP_SYSD)
 _SDSL    = $(DESTDIR)$(TLP_SDSL)
 _SYSV    = $(DESTDIR)$(TLP_SYSV)
 _ELOD    = $(DESTDIR)$(TLP_ELOD)
 _SHCPL   = $(DESTDIR)$(TLP_SHCPL)
+_ZSHCPL  = $(DESTDIR)$(TLP_ZSHCPL)
 _MAN     = $(DESTDIR)$(TLP_MAN)
 _META    = $(DESTDIR)$(TLP_META)
 _RUN     = $(DESTDIR)$(TLP_RUN)
@@ -60,6 +66,7 @@
 	-e "s|@TLP_CONFDIR@|$(TLP_CONFDIR)|g" \
 	-e "s|@TLP_CONFDEF@|$(TLP_CONFDEF)|g" \
 	-e "s|@TLP_CONFREN@|$(TLP_CONFREN)|g" \
+	-e "s|@TLP_CONFDPR@|$(TLP_CONFDPR)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
 	-e "s|@TLP_RUN@|$(TLP_RUN)|g"   \
 	-e "s|@TLP_VAR@|$(TLP_VAR)|g"   \
@@ -67,6 +74,7 @@
 
 INFILES = \
 	tlp \
+	tlp.conf \
 	tlp-func-base \
 	tlp-rdw-nm \
 	tlp-rdw.rules \
@@ -101,7 +109,7 @@
 	tlp.in \
 	tlp-func-base.in \
 	func.d/* \
-	bat.d/*[a-z] \
+	bat.d/* \
 	tlp-rdw.in \
 	tlp-rdw-nm.in \
 	tlp-rdw-udev.in \
@@ -110,14 +118,16 @@
 	tlp-sleep \
 	tlp-sleep.elogind \
 	tlp-stat.in \
-	tlp-usb-udev.in
+	tlp-usb-udev.in \
+	unit-tests/test-func \
+	unit-tests/test-cpufreq.sh
 
 PLFILES = \
 	tlp-pcilist \
 	tlp-readconfs.in \
 	tlp-usblist
 
-BATDRVFILES = $(foreach drv,$(wildcard bat.d/[0-9][0-9]-*[a-z]),$(drv)~)
+BATDRVFILES = $(foreach drv,$(wildcard bat.d/[0-9][0-9]-[a-z]*),$(drv)~)
 
 # Make targets
 all: $(INFILES)
@@ -156,6 +166,7 @@
 	install -D -m 644 00-template.conf $(_CONFDIR)/00-template.conf
 	install -D -m 644 defaults.conf $(_CONFDEF)
 	install -D -m 644 rename.conf $(_CONFREN)
+	install -D -m 644 deprecated.conf $(_CONFDPR)
 ifneq ($(TLP_NO_INIT),1)
 	install -D -m 755 tlp.init $(_SYSV)/tlp
 endif
@@ -167,12 +178,18 @@
 	install -D -m 755 tlp-sleep.elogind $(_ELOD)/49-tlp-sleep
 endif
 ifneq ($(TLP_NO_BASHCOMP),1)
-	install -D -m 644 tlp.bash_completion $(_SHCPL)/tlp
+	install -D -m 644 completion/bash/tlp.bash_completion $(_SHCPL)/tlp
 	ln -sf tlp $(_SHCPL)/tlp-stat
 	ln -sf tlp $(_SHCPL)/bluetooth
 	ln -sf tlp $(_SHCPL)/nfc
 	ln -sf tlp $(_SHCPL)/wifi
 	ln -sf tlp $(_SHCPL)/wwan
+endif
+ifneq ($(TLP_NO_ZSHCOMP),1)
+	install -D -m 644 completion/zsh/_tlp $(_ZSHCPL)/_tlp
+	install -D -m 644 completion/zsh/_tlp-radio-device $(_ZSHCPL)/_tlp-radio-device
+	install -D -m 644 completion/zsh/_tlp-run-on $(_ZSHCPL)/_tlp-run-on
+	install -D -m 644 completion/zsh/_tlp-stat $(_ZSHCPL)/_tlp-stat
 endif
 	install -D -m 644 de.linrunner.tlp.metainfo.xml $(_META)/de.linrunner.tlp.metainfo.xml
 	install -d -m 755 $(_VAR)
@@ -184,7 +201,10 @@
 	install -D -m 755 tlp-rdw-udev $(_ULIB)/tlp-rdw-udev
 	install -D -m 755 tlp-rdw-nm $(_NMDSP)/99tlp-rdw-nm
 ifneq ($(TLP_NO_BASHCOMP),1)
-	install -D -m 644 tlp-rdw.bash_completion $(_SHCPL)/tlp-rdw
+	install -D -m 644 completion/bash/tlp-rdw.bash_completion $(_SHCPL)/tlp-rdw
+endif
+ifneq ($(TLP_NO_ZSHCOMP),1)
+	install -D -m 644 completion/zsh/_tlp-rdw $(_ZSHCPL)/_tlp-rdw
 endif
 
 install-man-tlp:
@@ -228,6 +248,10 @@
 	rm -f $(_SHCPL)/wifi
 	rm -f $(_SHCPL)/wwan
 	rm -f $(_SHCPL)/tlp
+	rm -f $(_ZSHCPL)/_tlp
+	rm -f $(_ZSHCPL)/_tlp-radio-device
+	rm -f $(_ZSHCPL)/_tlp-run-on
+	rm -f $(_ZSHCPL)/_tlp-stat
 	rm -f $(_META)/de.linrunner.tlp.metainfo.xml
 	rm -r $(_VAR)
 
@@ -238,6 +262,7 @@
 	rm $(_ULIB)/tlp-rdw-udev
 	rm $(_NMDSP)/99tlp-rdw-nm
 	rm -f $(_SHCPL)/tlp-rdw
+	rm -f $(_ZSHCPL)/_tlp-rdw
 
 uninstall-man-tlp:
 	# manpages
