=== debian/changelog ===
tlp (1.6.1-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active.  In
      tlp.conf, add some warnings to let users know about this.
  * debian/patches/remove_gnome_conflict.patch: refresh.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 25 Nov 2023 09:39:01 -0800

tlp (1.6.1-1) unstable; urgency=medium

  * [45c34ae] New upstream version 1.6.1

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 28 Sep 2023 14:25:41 +0200

tlp (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

  [ Thomas Koch ]
  * [b04adfb] tlp-rdw: relocate NetworkManager hook (Closes: #1035889)
  * [059bda1] Add ZSH completions
  * [e43bdaa] Remove Suggests: acpi-call-dkms (obsolete with kernel 5.17)
  * [a979a7b] Add deprecated.conf
  * [296c640] Update lintian overrides
  * [af2813c] Bump Standards-Version to 4.6.2
  * [dd0b14f] Remove debian/source/options

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 30 Aug 2023 15:02:39 +0200

tlp (1.5.0-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active.  In
      tlp.conf, add some warnings to let users know about this.
  * Refine the text of the tlp.conf warnings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 May 2023 10:50:23 -0700

tlp (1.5.0-2) unstable; urgency=medium

  * [88f5b05] Revert usrmerge changes for Bookworm

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 12 Apr 2023 12:34:52 +0200
