=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/moonsweep/tlp
 Vcs-Git: https://salsa.debian.org/moonsweep/tlp.git
 Homepage: https://linrunner.de/tlp
@@ -13,7 +13,7 @@
 Architecture: all
 Depends: hdparm, iw, pciutils, rfkill, usbutils, ${misc:Depends}
 Recommends: tlp-rdw, ethtool
-Suggests: tp-smapi-dkms, acpi-call-dkms, smartmontools, ${dist:Suggests}
+Suggests: tp-smapi-dkms, smartmontools, ${dist:Suggests}
 Conflicts: laptop-mode-tools
 Description: Optimize laptop battery life
  TLP is a feature-rich command-line utility, saving laptop battery power
