## tlp 1.7.0.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for TLP
-# Copyright (c) 2023 Thomas Koch <linrunner at gmx.net> and others.
+# Copyright (c) 2024 Thomas Koch <linrunner at gmx.net> and others.
 # SPDX-License-Identifier: GPL-2.0-or-later
 TLPVER := $(shell read _ver _dummy < ./VERSION; printf '%s' "$${_ver:-undef}")
 
@@ -8,7 +8,7 @@
 TLP_BIN     ?= /usr/bin
 TLP_TLIB    ?= /usr/share/tlp
 TLP_FLIB    ?= /usr/share/tlp/func.d
-TLP_ULIB    ?= /lib/udev
+TLP_ULIB    ?= /usr/lib/udev
 TLP_BATD    ?= /usr/share/tlp/bat.d
 TLP_NMDSP   ?= /usr/lib/NetworkManager/dispatcher.d
 TLP_CONFUSR ?= /etc/tlp.conf
@@ -17,17 +17,17 @@
 TLP_CONFREN ?= /usr/share/tlp/rename.conf
 TLP_CONFDPR ?= /usr/share/tlp/deprecated.conf
 TLP_CONF    ?= /etc/default/tlp
-TLP_SYSD    ?= /lib/systemd/system
-TLP_SDSL    ?= /lib/systemd/system-sleep
+TLP_SYSD    ?= /usr/lib/systemd/system
+TLP_SDSL    ?= /usr/lib/systemd/system-sleep
 TLP_SYSV    ?= /etc/init.d
-TLP_ELOD    ?= /lib/elogind/system-sleep
+TLP_ELOD    ?= /usr/lib/elogind/system-sleep
 TLP_SHCPL   ?= /usr/share/bash-completion/completions
 TLP_ZSHCPL  ?= /usr/share/zsh/site-functions
+TLP_FISHCPL ?= /usr/share/fish/vendor_completions.d
 TLP_MAN     ?= /usr/share/man
 TLP_META    ?= /usr/share/metainfo
 TLP_RUN     ?= /run/tlp
 TLP_VAR     ?= /var/lib/tlp
-TPACPIBAT   ?= $(TLP_TLIB)/tpacpi-bat
 
 # Catenate DESTDIR to paths
 _SBIN    = $(DESTDIR)$(TLP_SBIN)
@@ -49,11 +49,11 @@
 _ELOD    = $(DESTDIR)$(TLP_ELOD)
 _SHCPL   = $(DESTDIR)$(TLP_SHCPL)
 _ZSHCPL  = $(DESTDIR)$(TLP_ZSHCPL)
+_FISHCPL = $(DESTDIR)$(TLP_FISHCPL)
 _MAN     = $(DESTDIR)$(TLP_MAN)
 _META    = $(DESTDIR)$(TLP_META)
 _RUN     = $(DESTDIR)$(TLP_RUN)
 _VAR     = $(DESTDIR)$(TLP_VAR)
-_TPACPIBAT = $(DESTDIR)$(TPACPIBAT)
 
 SED = sed \
 	-e "s|@TLPVER@|$(TLPVER)|g" \
@@ -69,8 +69,7 @@
 	-e "s|@TLP_CONFDPR@|$(TLP_CONFDPR)|g" \
 	-e "s|@TLP_CONF@|$(TLP_CONF)|g" \
 	-e "s|@TLP_RUN@|$(TLP_RUN)|g"   \
-	-e "s|@TLP_VAR@|$(TLP_VAR)|g"   \
-	-e "s|@TPACPIBAT@|$(TPACPIBAT)|g"
+	-e "s|@TLP_VAR@|$(TLP_VAR)|g"
 
 INFILES = \
 	tlp \
@@ -119,6 +118,8 @@
 	tlp-sleep.elogind \
 	tlp-stat.in \
 	tlp-usb-udev.in \
+
+UTSHFILES = \
 	unit-tests/test-func \
 	unit-tests/test-cpufreq.sh
 
@@ -155,9 +156,6 @@
 	install -m 755 tlp-pcilist $(_TLIB)/
 	install -m 755 tlp-readconfs $(_TLIB)/
 	install -m 755 tlp-usblist $(_TLIB)/
-ifneq ($(TLP_NO_TPACPI),1)
-	install -D -m 755 tpacpi-bat $(_TPACPIBAT)
-endif
 	install -D -m 755 tlp-usb-udev $(_ULIB)/tlp-usb-udev
 	install -D -m 644 tlp.rules $(_ULIB)/rules.d/85-tlp.rules
 	[ -f $(_CONFUSR) ] || install -D -m 644 tlp.conf $(_CONFUSR)
@@ -184,12 +182,24 @@
 	ln -sf tlp $(_SHCPL)/nfc
 	ln -sf tlp $(_SHCPL)/wifi
 	ln -sf tlp $(_SHCPL)/wwan
+	ln -sf tlp $(_SHCPL)/run-on-ac
+	ln -sf tlp $(_SHCPL)/run-on-bat
 endif
 ifneq ($(TLP_NO_ZSHCOMP),1)
 	install -D -m 644 completion/zsh/_tlp $(_ZSHCPL)/_tlp
 	install -D -m 644 completion/zsh/_tlp-radio-device $(_ZSHCPL)/_tlp-radio-device
 	install -D -m 644 completion/zsh/_tlp-run-on $(_ZSHCPL)/_tlp-run-on
 	install -D -m 644 completion/zsh/_tlp-stat $(_ZSHCPL)/_tlp-stat
+endif
+ifneq ($(TLP_NO_FISHCOMP),1)
+	install -D -m 644 completion/fish/tlp.fish $(_FISHCPL)/tlp.fish
+	install -D -m 644 completion/fish/tlp-stat.fish $(_FISHCPL)/tlp-stat.fish
+	ln -sf tlp.fish $(_FISHCPL)/bluetooth.fish
+	ln -sf tlp.fish $(_FISHCPL)/nfc.fish
+	ln -sf tlp.fish $(_FISHCPL)/wifi.fish
+	ln -sf tlp.fish $(_FISHCPL)/wwan.fish
+	ln -sf tlp.fish $(_FISHCPL)/run-on-ac.fish
+	ln -sf tlp.fish $(_FISHCPL)/run-on-bat.fish
 endif
 	install -D -m 644 de.linrunner.tlp.metainfo.xml $(_META)/de.linrunner.tlp.metainfo.xml
 	install -d -m 755 $(_VAR)
@@ -205,6 +215,9 @@
 endif
 ifneq ($(TLP_NO_ZSHCOMP),1)
 	install -D -m 644 completion/zsh/_tlp-rdw $(_ZSHCPL)/_tlp-rdw
+endif
+ifneq ($(TLP_NO_FISHCOMP),1)
+	install -D -m 644 completion/fish/tlp-rdw.fish $(_FISHCPL)/tlp-rdw.fish
 endif
 
 install-man-tlp:
@@ -242,16 +255,26 @@
 	rm -f $(_SYSD)/tlp.service
 	rm -f $(_SDSL)/tlp-sleep
 	rm -f $(_ELOD)/49-tlp-sleep
+	rm -f $(_SHCPL)/tlp
 	rm -f $(_SHCPL)/tlp-stat
 	rm -f $(_SHCPL)/bluetooth
 	rm -f $(_SHCPL)/nfc
 	rm -f $(_SHCPL)/wifi
 	rm -f $(_SHCPL)/wwan
-	rm -f $(_SHCPL)/tlp
+	rm -f $(_SHCPL)/run-on-ac
+	rm -f $(_SHCPL)/run-on-bat
 	rm -f $(_ZSHCPL)/_tlp
 	rm -f $(_ZSHCPL)/_tlp-radio-device
 	rm -f $(_ZSHCPL)/_tlp-run-on
 	rm -f $(_ZSHCPL)/_tlp-stat
+	rm -f $(_FISHCPL)/tlp.fish
+	rm -f $(_FISHCPL)/tlp-stat.fish
+	rm -f $(_FISHCPL)/bluetooth.fish
+	rm -f $(_FISHCPL)/nfc.fish
+	rm -f $(_FISHCPL)/wifi.fish
+	rm -f $(_FISHCPL)/wwan.fish
+	rm -f $(_FISHCPL)/run-on-ac.fish
+	rm -f $(_FISHCPL)/run-on-bat.fish
 	rm -f $(_META)/de.linrunner.tlp.metainfo.xml
 	rm -r $(_VAR)
 
@@ -263,6 +286,7 @@
 	rm $(_NMDSP)/99tlp-rdw-nm
 	rm -f $(_SHCPL)/tlp-rdw
 	rm -f $(_ZSHCPL)/_tlp-rdw
+	rm -f $(_FISHCPL)/tlp-rdw.fish
 
 uninstall-man-tlp:
 	# manpages
@@ -281,11 +305,11 @@
 
 checkbashisms:
 	@echo "*** checkbashisms ***************************************************************************"
-	@checkbashisms $(SHFILES) || true
+	@{ checkbashisms $(SHFILES) 2>&1 | sed -e '/test with unary -a (should be -e)/{N;d;}'; } || true
 
 shellcheck:
 	@echo "*** shellcheck ******************************************************************************"
-	@shellcheck -s dash $(SHFILES) || true
+	@shellcheck -s dash $(SHFILES) $(UTSHFILES) || true
 
 perlcritic:
 	@echo "*** perlcritic ******************************************************************************"
@@ -297,7 +321,7 @@
 
 checkwip:
 	@echo "*** checkwip ********************************************************************************"
-	@grep -E -n "### (DEBUG|DEVEL|TODO|WIP)" $(SHFILES) $(PLFILES) || true
+	@grep -E -n "### (DEBUG|DEVEL|TODO|WIP)" $(SHFILES) $(UTSHFILES) $(PLFILES) || true
 
 bat.d/TEMPLATE~: bat.d/TEMPLATE
 	@awk '/^batdrv_[a-z_]+ ()/ { print $$1; }' $< | grep -v 'batdrv_is' | sort > $@
