=== debian/changelog ===
tlp (1.7.0.1-deepin2) stable; urgency=medium

  * merge v20 patch.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 13 Jun 2025 17:39:17 +0800

tlp (1.7.0.1-deepin1) stable; urgency=medium

  * merge v20 patch.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 22 Nov 2024 15:33:19 +0800
