=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tlp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
+Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/moonsweep/tlp
 Vcs-Git: https://salsa.debian.org/moonsweep/tlp.git
 Homepage: https://linrunner.de/tlp
@@ -13,8 +12,10 @@
 Architecture: all
 Depends: hdparm, iw, pciutils, rfkill, usbutils, ${misc:Depends}
 Recommends: tlp-rdw, ethtool
+Provides: laptop-mode-tools
 Suggests: tp-smapi-dkms, smartmontools, ${dist:Suggests}
-Conflicts: laptop-mode-tools
+Conflicts: laptop-mode-tools, power-profiles-daemon, tuned
+Replaces: laptop-mode-tools
 Description: Optimize laptop battery life
  TLP is a feature-rich command-line utility, saving laptop battery power
  without the need to delve deeper into technical details.
