=== debian/changelog ===
tlp (1.8.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active. In
      tlp.conf, add some warnings to let users know about this.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Feb 2025 21:42:11 -0600

tlp (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0

  [ Thomas Koch ]
  * [0a0203c] debian/copyright: update to 2025
  * [f3fd34a] Update lintian overrides

  [ Raphaël Halimi ]
  * [7c216be] debian/watch: align with current debhelper template

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 13 Feb 2025 17:04:20 +0100

tlp (1.7.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active.  In
      tlp.conf, add some warnings to let users know about this.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 15:14:28 -0600

tlp (1.6.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2073295). Remaining changes:
    - debian/control, debian/patches/remove_gnome_conflict.patch:
      CPU_ENERGY_PERF_POLICY_ON_BAT and CPU_ENERGY_PERF_POLICY_ON_AC will be
      handled by power-profiles-daemon, so in tlp it will ignore these
      configurations when it detects power-profiles-daemon is active.  In
      tlp.conf, add some warnings to let users know about this.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 16 Jul 2024 16:42:17 -0300
