=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tlp
-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
@@ -12,10 +13,8 @@
 Architecture: all
 Depends: hdparm, iw, pciutils, rfkill, usbutils, ${misc:Depends}
 Recommends: tlp-rdw, ethtool
-Provides: laptop-mode-tools
 Suggests: tp-smapi-dkms, smartmontools, ${dist:Suggests}
-Conflicts: laptop-mode-tools, power-profiles-daemon, tuned
-Replaces: laptop-mode-tools
+Conflicts: laptop-mode-tools, tuned
 Description: Optimize laptop battery life
  TLP is a feature-rich command-line utility, saving laptop battery power
  without the need to delve deeper into technical details.
